QGIS Application - Bug report #6250
WFS Browser Drag and drop not working
2012-08-26 10:19 PM - Jeremy Palmer

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:master
Operating System: ubuntu
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 15557

Description

Adding a dragging a WFS layer which has a title with spaces to the map does not work. e.g layer name = "XXX: MyLayer"
URL="http://foo/bar?version=1.0.0&VERSION=1.0.0&TYPENAME=v:x1153&SERVICE=WFS&VERSION=1.0.0& REQUEST=GetFeature

e&TYPENAME=v:x1153" Gives and error:

MyLayer:http://foo/bar?version=1.0.0&VERSION=1.0.0& TYPENAME=v:x1153&SERVICE=WFS&VERSION=1.0.0&REQUEST=GetFe
ture&TYPENAME=v:x1158 is not a valid layer and can not be added to the map is not a valid layer and can not be added to the map

Also seems that there is a bug with the creation of QgsOWSConnection object "WF" instead of "WFS". See

https://github.com/ggis/Quantum-GIS/blob/master/src/providers/wfs/ggswfsdataitems.cpp#L156

&TYPE

History

#1 - 2012-09-04 12:07 PM - Paolo Cavallini
- Target version set to Version 2.0.0

#2 - 2013-09-23 12:17 PM - Jeremy Palmer

- Status changed from Open to Closed

This is now fixed in QGIS 2.0

#3 - 2013-09-23 12:18 PM - Giovanni Manghi
- Resolution set to fixed
https://github.com/qgis/Quantum-GIS/blob/master/src/providers/wfs/qgswfsdataitems.cpp#L156

